/// <reference types="node" />
import { Buffer } from 'buffer';
export declare class Base64url {
    /**
     *
     * Encode into base64url string
     *
     */
    static encode(input: string | Uint8Array | Buffer): string;
    /**
     *
     * Encode from JSON into a base64url string
     *
     */
    static encodeFromJson(input: Record<string, unknown> | Array<unknown>): string;
    /**
     *
     * Decode from base64url into JSON
     *
     */
    static decodeToJson<T extends Record<string, unknown> | Array<unknown> = Record<string, unknown>>(input: string): T;
    /**
     *
     * Decode from base64url into a byte array
     *
     */
    static decode(input: string): Uint8Array;
}
export declare function base64ToBase64URL(base64: string): string;
